# Class AreaChartWebElement

The component WebElement for oj-c-area-chart. Do not instantiate this class directly, instead, use findAreaChart.

#### Hierarchy

- AreaChartWebElementBase
  - AreaChartWebElement

#####
Index

### Constructors

constructor

### Methods

changeHiddenCategories
changeHighlightedCategories
changeSelection
clear
click
findElement
findElements
getAttribute
getContextMenuConfig
getCssValue
getData
getDragMode
getDrilling
getDriver
getGroupComparator
getHiddenCategories
getHideAndShowBehavior
getHighlightMatch
getHighlightedCategories
getHoverBehavior
getId
getLegend
getLocation
getOrientation
getPlotArea
getProperty
getRect
getSelection
getSelectionMode
getSeriesComparator
getShadowRoot
getSize
getStack
getTagName
getText
getTimeAxisType
getValueFormats
getXAxis
getYAxis
getZoomAndScroll
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
serialize
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady
buildId
equals
extractId
isId

## Constructors

### constructor

- new AreaChartWebElement(el, locators): AreaChartWebElement

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns AreaChartWebElement

  Inherited from AreaChartWebElementBase.constructor

## Methods

### changeHiddenCategories

- changeHiddenCategories(hiddenCategories): Promise<void>

- Sets the value of `hiddenCategories` property. An array of category string used for filtering.

  #### Parameters

  - ##### hiddenCategories: string[]

    The value to set for `hiddenCategories`

  #### Returns Promise<void>

  Inherited from AreaChartWebElementBase.changeHiddenCategories

### changeHighlightedCategories

- changeHighlightedCategories(highlightedCategories): Promise<void>

- Sets the value of `highlightedCategories` property. An array of category string used for highlighting.

  #### Parameters

  - ##### highlightedCategories: string[]

    The value to set for `highlightedCategories`

  #### Returns Promise<void>

  Inherited from AreaChartWebElementBase.changeHighlightedCategories

### changeSelection

- changeSelection(selection): Promise<void>

- Sets the value of `selection` property. An array containing the ids of the initially selected data items.

  #### Parameters

  - ##### selection: any[]

    The value to set for `selection`

  #### Returns Promise<void>

  Inherited from AreaChartWebElementBase.changeSelection

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.findElements

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.getAttribute

### getContextMenuConfig

- getContextMenuConfig(): Promise<ContextMenuConfig>

- Gets the value of `contextMenuConfig` property. Specifies a context menu configuration.

  #### Returns Promise<ContextMenuConfig>

  The value of `contextMenuConfig` property.

  Inherited from AreaChartWebElementBase.getContextMenuConfig

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.getCssValue

### getData

- getData(): Promise<null>

- Gets the value of `data` property. Specifies the DataProvider for the sections and items of the area-chart.

  #### Returns Promise<null>

  The value of `data` property.

  #### Deprecated

  Since 17.1.0. Data sets from a DataProvider cannot be sent to WebDriverJS; use ViewModels or page variables instead.

  Inherited from AreaChartWebElementBase.getData

### getDragMode

- getDragMode(): Promise<string>

- Gets the value of `dragMode` property. The action that is performed when a drag occurs on the chart.

  #### Returns Promise<string>

  The value of `dragMode` property.

  Inherited from AreaChartWebElementBase.getDragMode

### getDrilling

- getDrilling(): Promise<string>

- Gets the value of `drilling` property. Whether drilling is enabled.

  #### Returns Promise<string>

  The value of `drilling` property.

  Inherited from AreaChartWebElementBase.getDrilling

### getDriver

- getDriver(): WebDriver

- #### Returns WebDriver

  The parent driver for this instance.

  Inherited from AreaChartWebElementBase.getDriver

### getGroupComparator

- getGroupComparator(): Promise<null>

- Gets the value of `groupComparator` property. A comparator function that determines the ordering of the chart groups when using a DataProvider. If undefined, the group will follow the order in which they are found in the data.

  #### Returns Promise<null>

  The value of `groupComparator` property.

  Inherited from AreaChartWebElementBase.getGroupComparator

### getHiddenCategories

- getHiddenCategories(): Promise<string[]>

- Gets the value of `hiddenCategories` property. An array of category string used for filtering.

  #### Returns Promise<string[]>

  The value of `hiddenCategories` property.

  Inherited from AreaChartWebElementBase.getHiddenCategories

### getHideAndShowBehavior

- getHideAndShowBehavior(): Promise<string>

- Gets the value of `hideAndShowBehavior` property. Defines the hide and show behavior that is performed when clicking on a leegnd item.

  #### Returns Promise<string>

  The value of `hideAndShowBehavior` property.

  Inherited from AreaChartWebElementBase.getHideAndShowBehavior

### getHighlightMatch

- getHighlightMatch(): Promise<string>

- Gets the value of `highlightMatch` property. The matching condition for the highlighted property.

  #### Returns Promise<string>

  The value of `highlightMatch` property.

  Inherited from AreaChartWebElementBase.getHighlightMatch

### getHighlightedCategories

- getHighlightedCategories(): Promise<string[]>

- Gets the value of `highlightedCategories` property. An array of category string used for highlighting.

  #### Returns Promise<string[]>

  The value of `highlightedCategories` property.

  Inherited from AreaChartWebElementBase.getHighlightedCategories

### getHoverBehavior

- getHoverBehavior(): Promise<string>

- Gets the value of `hoverBehavior` property. Defines the behavior applied when hovering over data items.

  #### Returns Promise<string>

  The value of `hoverBehavior` property.

  Inherited from AreaChartWebElementBase.getHoverBehavior

### getId

- getId(): Promise<string>

- #### Returns Promise<string>

  A promise that resolves to the server-assigned opaque ID assigned to this element.

  Inherited from AreaChartWebElementBase.getId

### getLegend

- getLegend(): Promise<Legend>

- Gets the value of `legend` property. An object defining the style, positioning, and behavior of the legend.

  #### Returns Promise<Legend>

  The value of `legend` property.

  Inherited from AreaChartWebElementBase.getLegend

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.getLocation

### getOrientation

- getOrientation(): Promise<string>

- Gets the value of `orientation` property. The orientation of the chart.

  #### Returns Promise<string>

  The value of `orientation` property.

  Inherited from AreaChartWebElementBase.getOrientation

### getPlotArea

- getPlotArea(): Promise<PlotArea>

- Gets the value of `plotArea` property. An object defining the style of the plot area.

  #### Returns Promise<PlotArea>

  The value of `plotArea` property.

  Inherited from AreaChartWebElementBase.getPlotArea

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from AreaChartWebElementBase.getProperty

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.getRect

### getSelection

- getSelection(): Promise<any[]>

- Gets the value of `selection` property. An array containing the ids of the initially selected data items.

  #### Returns Promise<any[]>

  The value of `selection` property.

  Inherited from AreaChartWebElementBase.getSelection

### getSelectionMode

- getSelectionMode(): Promise<string>

- Gets the value of `selectionMode` property. Specifies the selection mode.

  #### Returns Promise<string>

  The value of `selectionMode` property.

  Inherited from AreaChartWebElementBase.getSelectionMode

### getSeriesComparator

- getSeriesComparator(): Promise<null>

- Gets the value of `seriesComparator` property. A comparator function that determines the ordering of the chart series when using a DataProvider. If undefined, the series will follow the order in which they are found in the data.

  #### Returns Promise<null>

  The value of `seriesComparator` property.

  Inherited from AreaChartWebElementBase.getSeriesComparator

### getShadowRoot

- getShadowRoot(): ShadowRootPromise

- Get the shadow root of the current web element.

  #### Returns ShadowRootPromise

  A promise that will be resolved with the elements shadow root or rejected with NoSuchShadowRootError

  Inherited from AreaChartWebElementBase.getShadowRoot

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.getSize

### getStack

- getStack(): Promise<string>

- Gets the value of `stack` property. Defines whether the data items are stacked.

  #### Returns Promise<string>

  The value of `stack` property.

  Inherited from AreaChartWebElementBase.getStack

### getTagName

- getTagName(): Promise<string>

- Schedules a command to query for the tag/node name of this element.

  #### Returns Promise<string>

  A promise that will be resolved with the element's tag name.

  Inherited from AreaChartWebElementBase.getTagName

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.getText

### getTimeAxisType

- getTimeAxisType(): Promise<string>

- Gets the value of `timeAxisType` property. The time axis type of the chart x axis.

  #### Returns Promise<string>

  The value of `timeAxisType` property.

  Inherited from AreaChartWebElementBase.getTimeAxisType

### getValueFormats

- getValueFormats(): Promise<ValueFormats>

- Gets the value of `valueFormats` property. An object specifying value formatting and tooltip behavior.

  #### Returns Promise<ValueFormats>

  The value of `valueFormats` property.

  Inherited from AreaChartWebElementBase.getValueFormats

### getXAxis

- getXAxis(): Promise<XAxis>

- Gets the value of `xAxis` property. An object defining x axis properties.

  #### Returns Promise<XAxis>

  The value of `xAxis` property.

  Inherited from AreaChartWebElementBase.getXAxis

### getYAxis

- getYAxis(): Promise<YAxis>

- Gets the value of `yAxis` property. An object defining y axis properties.

  #### Returns Promise<YAxis>

  The value of `yAxis` property.

  Inherited from AreaChartWebElementBase.getYAxis

### getZoomAndScroll

- getZoomAndScroll(): Promise<string>

- Gets the value of `zoomAndScroll` property. Specifies the zoom and scroll behavior of the chart.

  #### Returns Promise<string>

  The value of `zoomAndScroll` property.

  Inherited from AreaChartWebElementBase.getZoomAndScroll

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from AreaChartWebElementBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from AreaChartWebElementBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.sendKeys

### serialize

- serialize(): Promise<IWebElementId>

- #### Returns Promise<IWebElementId>

  Inherited from AreaChartWebElementBase.serialize

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from AreaChartWebElementBase.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from AreaChartWebElementBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from AreaChartWebElementBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from AreaChartWebElementBase.whenReady

### `Static` buildId

- buildId(id, opt_noLegacy?): IWebElementId

- #### Parameters

  - ##### id: string

    The raw ID.

  - ##### `Optional` opt_noLegacy: boolean

    Whether to exclude the legacy element key.

  #### Returns IWebElementId

  The element ID for use with WebDriver's wire protocol.

  Inherited from AreaChartWebElementBase.buildId

### `Static` equals

- equals(a, b): Promise<boolean>

- Compares two WebElements for equality.

  #### Parameters

  - ##### a: WebElement

    A WebElement.

  - ##### b: WebElement

    A WebElement.

  #### Returns Promise<boolean>

  A promise that will be resolved to whether the two WebElements are equal.

  Inherited from AreaChartWebElementBase.equals

### `Static` extractId

- extractId(obj): string

- Extracts the encoded WebElement ID from the object.

  #### Parameters

  - ##### obj: IWebElementId

    The object to extract the ID from.

  #### Returns string

  the extracted ID.

  #### Throws

  if the object is not a valid encoded ID.

  Inherited from AreaChartWebElementBase.extractId

### `Static` isId

- isId(obj): boolean

- #### Parameters

  - ##### obj: IWebElementId

    the object to test.

  #### Returns boolean

  whether the object is a valid encoded WebElement ID.

  Inherited from AreaChartWebElementBase.isId

Generated using TypeDoc